Subject: bug#24642: closed (Re: bug#24642: 26.0.50; Missing mode-line on initial frame)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 20 Nov 2016 17:30:02 +0000

Your bug report

#24642: 26.0.50; Missing mode-line on initial frame

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24642: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24642
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24642: 26.0.50; Missing mode-line on initial frame
From: Eli Zaretskii <[email-masked]>
To: martin rudalics <[email-masked]>
Cc: [email-masked]
Date: Sun, 20 Nov 2016 19:29:57 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Sun, 20 Nov 2016 18:10:18 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked]
> 
>  > No bells rang here, but the patch below solves this for me.  Does it
>  > make sense?  (Don't ask me how it works on emacs-25, it looks like
>  > some lucky coincidence with timing of the WM_PAINT message and the way
>  > we set windows_or_buffers_changed.)
> 
> It solves the problem so please apply it.

Done.

Subject: 26.0.50; Missing mode-line on initial frame
From: martin rudalics <[email-masked]>
To: Bug-Gnu-Emacs <[email-masked]>
Date: Sat, 08 Oct 2016 18:17:29 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

With the following file missing-mode-line.el

(defvar old (selected-frame))
(defvar new (make-frame '((minibuffer . nil))))

(set-frame-width new 1640 nil t)
(set-frame-width old 400 nil t)
(set-frame-position new 0 0)
(set-frame-position old -1 -40)

and

emacs -Q -load "~/missing-mode-line.el"

I get on Windows XP two frames where the root window of the smaller one
has a missing mode-line.  The mode-line reappears when that frame gets
focus.  It's a minor issue but cannot be reproduced here with Emacs 25.

It's easily possible that I introduced the bug myself but I don't recall
changing anything in this area.  So if this rings a bell ...

In GNU Emacs 26.0.50.1 (i686-pc-mingw32)
  of 2016-10-08 built on MACHNO
Repository revision: 9adfb021df482c6aa94a043f07acf1e8eb695bf2
Windowing system distributor 'Microsoft Corp.', version 5.1.2600

Configured using:
  'configure --prefix=/c/emacs-git/quick --with-gnutls=no --with-wide-int
  --enable-checking=yes --enable-check-lisp-object-type=yes 'CFLAGS=-O0
  -g3''

Configured features:
SOUND NOTIFY ACL TOOLKIT_SCROLL_BARS

martin